post
https://api.lucid.co/v1/documents//mermaidDiagrams
Creates a Mermaid diagram in a document from Mermaid markup.
Creating, retrieving, listing, and updating Mermaid diagrams in existing documents share a per-account rate limit.
Valid Authentication Methods
API Key Grants:
DocumentEdit
OAuth 2.0 User Token Scopes:
lucidchart.document.contentlucidspark.document.contentlucid.document.content
400Bad Request if the request body is invalid, the markup exceeds 100,000 characters, or the page ID is unknown.
403Forbidden if the app making the request does not have write permission to the document, or if the document does not exist.
404Not Found if a resource required to create the Mermaid diagram does not exist.
409Conflict if the Mermaid diagram cannot be created because of a conflicting document change.